## slm 0.10

=== Makefile ===
DESTDIR =

DBDIR = $(shell if [ -d /srv/manuels.freeduc.science ]; then echo /srv/manuels.freeduc.science; else echo .; fi)
SAVEDIR = $(DBDIR)/media/sauvegarde

all: aide/output/index.html

aide/output/index.html : $(shell ls aide/content/pages/*)
	make -C aide html

clean:
	find . -name "*~" | xargs rm -f

savedb:
	@python3 $(DBDIR)/savedb.py $(DBDIR)

stats_dev:
	@echo "Décompte des lignes codées par l'auteur"
	@echo "======================================="
	@echo
	@total=0; \
	n=$$(cat $$(find manuels -name "*.py"| grep -v migrat) | wc -l); \
	echo "- $${n} lignes en langage Python (application manuels)."; total=$$((total + n)); \
	n=$$(cat $$(find gestion -name "*.py"| grep -v migrat) | wc -l); \
	echo "- $${n} lignes en langage Python (module gestion)."; total=$$((total + n)); \
	n=$$(cat $$(find gestion -name "*.html") | wc -l); \
	echo "- $${n} lignes en langage HTML."; total=$$((total + n)); \
	n=$$(cat $$(find gestion/static -name "*.css"| grep -v jquery) | wc -l); \
	echo "- $${n} lignes en langage CSS."; total=$$((total + n)); \
	n=$$(cat $$(find gestion/static -name "*.js"| grep -v jquery) | wc -l); \
	echo "- $${n} lignes en langage Javascript."; total=$$((total + n)); \
	echo; echo $$total lignes en tout.

rsync_upload: aide/output/index.html
	rsync -av --delete --exclude="db*" --exclude="*archive*" --exclude="media" * freeduc.science:/srv/manuels.freeduc.science/
	ssh freeduc.science "cd /srv/manuels.freeduc.science; echo 'yes' | ./manage.py collectstatic; ./manage.py migrate"
	@echo "prochaines commandes : ssh freeduc.science, puis sudo service apache2 reload, et synchronisation de media/"

=== debian/changelog ===
slm (0.10-4) unstable; urgency=medium

  * replaced d/po/es.po with the file which Camaleón sent today.
    Closes: #1075995
  * installed nl.po, from Frans Spiesscha, thanks! Closes: #1075877

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 09 Jul 2024 09:06:04 +0200

slm (0.10-3) unstable; urgency=medium

  * modified d/watch: the upstream is now located at
    https://forge.apps.education.fr/georgesk/slm.git
  * replaced d/po/esp.po with the file which Camaleón wrote for slm,
    fixing the strange file d/po/esp.po which was for the package
    kwartz-client. Closes: #1073510

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 01 Jul 2024 22:38:59 +0200

slm (0.10-2) unstable; urgency=medium

  * applied the changes sent by Camaleón, thanks!
    Closes: #1073510

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 01 Jul 2024 18:06:30 +0200

slm (0.10-1) unstable; urgency=medium

  * New upstream version 0.10

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 29 Jun 2024 17:53:24 +0200

slm (0.9-3) unstable; urgency=medium

  * added a Spanish translation for debconf, Thanks Camaleón
    Closes: #1073510

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 16 Jun 2024 19:55:32 +0200

slm (0.9-2) unstable; urgency=medium

  * fixed the templates. Closes: #1072820
  * installed Christoph Brinkhaus' de.po translation. Closes: #1072819

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 08 Jun 2024 17:49:03 +0200

slm (0.9-1) unstable; urgency=medium

  * New upstream version 0.9
  * better behavior when the database is quite empty
  * written a manpage for slm-demo

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 07 Jun 2024 19:30:12 +0200

slm (0.8.3-3) unstable; urgency=medium

  * new source upload: some changes were forgotten in the previous upload

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 02 Jun 2024 16:20:21 +0200

slm (0.8.3-2) unstable; urgency=medium

  * new dependency: acl

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Jun 2024 18:22:49 +0200

slm (0.8.3-1) unstable; urgency=medium

  * created autopkgtests
  * new pre-dependency: systemd
  * added slm.prerm and slm.postrm scripts
  * added debconf support for slm/deb (boolean) slm/servername (string)
  * added a dependency on pwgen
  * slm.postinst: + feed a 'yes' to the call of manage.py collectstatic
                  + install the right file settings.py (for production or tests)
                  + manage a sample configuration for apache2
  * New upstream version 0.8.3

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Jun 2024 16:59:20 +0200

slm (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1: added a fixture database for tests

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 24 Apr 2024 15:39:46 +0200

slm (0.7-2) unstable; urgency=medium

  * new dependencies: python3-matplotlib, fonts-dejavu-extra
  * bumped Standards-Version: 4.7.0

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 24 Apr 2024 13:57:47 +0200

slm (0.7-1) unstable; urgency=medium

  * New upstream version 0.7

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 24 Apr 2024 11:04:25 +0200

slm (0.6-1) experimental; urgency=medium

  * New upstream version 0.6

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 03 Mar 2024 19:53:25 +0100

slm (0.5-2) experimental; urgency=medium

  * modification in d/rules: remove __pycache__ during the installation

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 28 Feb 2024 09:05:40 +0100

slm (0.5-1) experimental; urgency=medium

  * Initial release. (Closes: #1064903)

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 Feb 2024 22:06:50 +0100

=== debian/control ===
Source: slm
Section: web
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
 dh-python,
 cleancss,
 pelican,
Standards-Version: 4.7.0
#Homepage: 
Vcs-Browser: https://salsa.debian.org/debian/slm
Vcs-Git: https://salsa.debian.org/debian/slm.git

Package: slm
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 apache2,
 systemd,
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3,
 python3-django,
 gnome-colors-common,
 python3-reportlab,
 python3-lxml,
 fonts-liberation,
 fonts-liberation2,
 python3-svglib,
 sound-icons,
 pelican,
 python3-levenshtein,
 python3-termcolor,
 python3-pyqrcode,
 python3-odf		,
 libjs-jquery,
 libjs-jquery-ui,
 libjs-jquery-ui-touch-punch,
 qrencode,
 python3-pandas,
 python3-pylabels,
 node-html5-qrcode,
 python3-unidecode,
 python3-trml2pdf,
 libapache2-mod-wsgi-py3,
 python3-matplotlib,
 fonts-dejavu-extra,
 pwgen,
 acl,
Description: school library management
 SLM stands for "school library management". It provides a web service
 useful for teams who lend school books to students. Here are some
 features:
 .
  - defining constants for the school, like name, logo, manager's name
  - creating a catalogue of available books
  - managing the inventory of books, each one identified by a unique barcode
  - importing lists of students, with their optional curricula
  - lending quickly a few books to every student, with the help of a
    barcode reader
  - managing the book returns, with the help of a barcode reader
  - replying to some request, like "whom is this book?", list of
    students which still owe books, list of students who have no book
    lended, and so on.
  - every web page comes with a contextual help

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = slm

%:
	dh $@ --with python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf aide/output
	rm -f aide/themes/genus/static/fonts/*
	rm -f aide/themes/genus/static/css/main.css

SITES_AVAILABLE = $(CURDIR)/debian/slm/etc/apache2/sites-available
override_dh_install:
	dh_install

	: # remove settings.py since it will be overwritten
	find debian/$(PACKAGE)/ -name settings.py | xargs rm -f

	: # remove CSV files
	find debian/$(PACKAGE)/ -name '.git*' | xargs rm -f

	: ############ fix symlinks to absolute locations ###############
	: ##### for gestion/static/*
	symlinks=$$(find debian/$(PACKAGE)/var/lib/slm/gestion/static/* -type l); \
	for s in $${symlinks}; do \
	  t=""; r=$$(realpath $$s); \
	  r1=$$(echo $$r | sed 's%/%../../../../../../%'); \
	  if [ -d $$r ]; then s=$$(dirname $$s); t=/$$(basename $$s); fi; \
	  echo "$$s$$t ===> $$r1"; \
	  ln -sf $$r1 $$s; \
	done
	: ##### for aide/themes/genus/static/*
		symlinks=$$(find debian/$(PACKAGE)/var/lib/slm/aide/themes/genus/static/* -type l); \
	for s in $${symlinks}; do \
	  t=""; r=$$(realpath $$s); \
	  r1=$$(echo $$r | sed 's%/%../../../../../../../../%'); \
	  if [ -d $$r ]; then s=$$(dirname $$s); t=/$$(basename $$s); fi; \
	  echo "$$s$$t ===> $$r1"; \
	  ln -sf $$r1 $$s; \
	done
	: ##### for aide/output/theme/fonts/
	ln -sf ../../../../../../../usr/share/fonts/truetype/dejavu/DejaVuSansMono.ttf debian/$(PACKAGE)/var/lib/slm/aide/output/theme/fonts/DejaVuSansMono.ttf
	echo "/var/lib/slm/aide/output/theme/fonts/DejaVuSansMono.ttf ===> ../../../../../../../usr/share/fonts/truetype/dejavu/DejaVuSansMono.ttf"
	: # remove outils/maj_sans_accent.django
	rm -f debian/$(PACKAGE)/var/lib/slm/outils/maj_sans_accent.django
	: # fix embedded jquery.js
	rm -f debian/$(PACKAGE)/var/lib/slm/aide/output/theme/js/jquery.js
	ln -s ../../../../../../../usr/share/javascript/jquery/jquery.js debian/$(PACKAGE)/var/lib/slm/aide/output/theme/js/
	: # remove __pycache__ directories
	find debian/$(PACKAGE) -name __pycache__ | xargs rm -rf

=== debian/tests/control ===
Test-Command: ./manage.py test 2>&1
Depends:
 @

## slm 1.0.0

=== DESCRIPTION ===
Package: slm
Type: Package
Title: Stationary Linear Models
Version: 1.0.0
Author: Emmanuel Caron, Jérôme Dedecker, Bertrand Michel
Maintainer: Emmanuel Caron <emmanuelcaron3@gmail.com>
Description: Provides statistical procedures for linear regression in the general context where the errors are assumed to be correlated. Different ways to estimate the asymptotic covariance matrix of the least squares estimators are available. Starting from this estimation of the covariance matrix, the confidence intervals and the usual tests on the parameters are modified. The functions of this package are very similar to those of 'lm': it contains methods such as summary(), plot(), confint() and predict(). The 'slm' package is described in the paper by E. Caron, J. Dedecker and B. Michel (2019), "Linear regression with stationary errors: the R package slm", arXiv preprint <arXiv:1906.06583>.
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Depends: R (>= 2.10)
Collate: 'slm-main.R' 'slm.R' 'generative.R' 'auxiliary-fun.R'
        'slm-method.R' 'data.R'
Imports: ltsa, methods, stats, capushe
NeedsCompilation: no
Packaged: 2019-07-20 13:40:51 UTC; emmanuel
Repository: CRAN
Date/Publication: 2019-07-23 14:40:02 UTC

## slm 1.1.0

=== DESCRIPTION ===
Package: slm
Type: Package
Title: Stationary Linear Models
Version: 1.1.0
Author: Emmanuel Caron, Jérôme Dedecker, Bertrand Michel
Maintainer: Emmanuel Caron <emmanuelcaron3@gmail.com>
Description: Provides statistical procedures for linear regression in the general context where the errors are assumed to be correlated. Different ways to estimate the asymptotic covariance matrix of the least squares estimators are available. Starting from this estimation of the covariance matrix, the confidence intervals and the usual tests on the parameters are modified. The functions of this package are very similar to those of 'lm': it contains methods such as summary(), plot(), confint() and predict(). The 'slm' package is described in the paper by E. Caron, J. Dedecker and B. Michel (2019), "Linear regression with stationary errors: the R package slm", arXiv preprint <arXiv:1906.06583>.
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Depends: R (>= 2.10)
Collate: 'slm-main.R' 'slm.R' 'generative.R' 'auxiliary-fun.R'
        'slm-method.R' 'data.R'
Imports: ltsa, methods, stats, capushe, sandwich, expm
NeedsCompilation: no
Packaged: 2019-10-24 13:36:27 UTC; emmanuel
Repository: CRAN
Date/Publication: 2019-10-24 14:10:02 UTC

## slm 1.2.0

=== DESCRIPTION ===
Package: slm
Type: Package
Title: Stationary Linear Models
Version: 1.2.0
Author: Emmanuel Caron, Jérôme Dedecker, Bertrand Michel
Maintainer: Emmanuel Caron <emmanuelcaron3@gmail.com>
Description: Provides statistical procedures for linear regression in the general context where the errors are assumed to be correlated. Different ways to estimate the asymptotic covariance matrix of the least squares estimators are available. Starting from this estimation of the covariance matrix, the confidence intervals and the usual tests on the parameters are modified. The functions of this package are very similar to those of 'lm': it contains methods such as summary(), plot(), confint() and predict(). The 'slm' package is described in the paper by E. Caron, J. Dedecker and B. Michel (2019), "Linear regression with stationary errors: the R package slm", arXiv preprint <arXiv:1906.06583>.
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Depends: R (>= 2.10)
Collate: 'slm-main.R' 'slm.R' 'generative.R' 'auxiliary-fun.R'
        'slm-method.R' 'data.R'
Imports: ltsa, methods, stats, capushe, sandwich, expm
NeedsCompilation: no
Packaged: 2020-08-31 11:46:03 UTC; emmanuel
Repository: CRAN
Date/Publication: 2020-08-31 12:00:02 UTC

## slm 1.21

=== Makefile ===
--- 
+++ 
@@ -3,13 +3,24 @@
 DBDIR = $(shell if [ -d /srv/manuels.freeduc.science ]; then echo /srv/manuels.freeduc.science; else echo .; fi)
 SAVEDIR = $(DBDIR)/media/sauvegarde
 
-all: aide/output/index.html
+LOCALES = --locale fr --locale en --locale es
+POFILES = $(shell find locale -name "*.po")
+MOFILES = $(patsubst %.po, %.mo, $(POFILES))
+
+all: aide/output/index.html $(MOFILES)
 
 aide/output/index.html : $(shell ls aide/content/pages/*)
 	make -C aide html
+	@for l in es en; do \
+	  python3 outils/non_traduits.py aide/content/pages $$l; \
+	done
+
+$(MOFILES): $(POFILES)
+	@python3 manage.py compilemessages | grep -v "up to date" || true
 
 clean:
 	find . -name "*~" | xargs rm -f
+	rm -f $(MOFILES)
 
 savedb:
 	@python3 $(DBDIR)/savedb.py $(DBDIR)
@@ -35,3 +46,8 @@
 	rsync -av --delete --exclude="db*" --exclude="*archive*" --exclude="media" * freeduc.science:/srv/manuels.freeduc.science/
 	ssh freeduc.science "cd /srv/manuels.freeduc.science; echo 'yes' | ./manage.py collectstatic; ./manage.py migrate"
 	@echo "prochaines commandes : ssh freeduc.science, puis sudo service apache2 reload, et synchronisation de media/"
+
+MAKEMESSAGE_PARAMS = --extension "html,txt,py, rml" --ignore aide
+messages:
+	./manage.py makemessages $(LOCALES) $(MAKEMESSAGE_PARAMS)
+	./manage.py compilemessages | grep -v "up to date"

=== aide/Makefile ===
PY?=
PELICAN?=pelican
PELICANOPTS=

BASEDIR=$(CURDIR)
INPUTDIR=$(BASEDIR)/content
OUTPUTDIR=$(BASEDIR)/output
CONFFILE=$(BASEDIR)/pelicanconf.py
PUBLISHCONF=$(BASEDIR)/publishconf.py

SSH_HOST=freeduc.science
SSH_PORT=22
SSH_USER=georgesk
SSH_TARGET_DIR=/srv/manuels.freeduc.science/aide


DEBUG ?= 0
ifeq ($(DEBUG), 1)
	PELICANOPTS += -D
endif

RELATIVE ?= 0
ifeq ($(RELATIVE), 1)
	PELICANOPTS += --relative-urls
endif

SERVER ?= "0.0.0.0"

PORT ?= 8001
ifneq ($(PORT), 0)
	PELICANOPTS += -p $(PORT)
endif


help:
	@echo 'Makefile for a pelican Web site                                           '
	@echo '                                                                          '
	@echo 'Usage:                                                                    '
	@echo '   make html                           (re)generate the web site          '
	@echo '   make clean                          remove the generated files         '
	@echo '   make regenerate                     regenerate files upon modification '
	@echo '   make publish                        generate using production settings '
	@echo '   make serve [PORT=8001]              serve site at http://localhost:8001'
	@echo '   make serve-global [SERVER=0.0.0.0]  serve (as root) to $(SERVER):80    '
	@echo '   make devserver [PORT=8001]          serve and regenerate together      '
	@echo '   make devserver-global               regenerate and serve on 0.0.0.0    '
	@echo '   make ssh_upload                     upload the web site via SSH        '
	@echo '   make sftp_upload                    upload the web site via SFTP       '
	@echo '   make rsync_upload                   upload the web site via rsync+ssh  '
	@echo '                                                                          '
	@echo 'Set the DEBUG variable to 1 to enable debugging, e.g. make DEBUG=1 html   '
	@echo 'Set the RELATIVE variable to 1 to enable relative urls                    '
	@echo '                                                                          '

COMPRESSED_CSS = themes/genus/static/css/main.css
SOURCE_CSS = $(shell cat themes/genus/src/static/css/main.css | \
                 sed 's%.*"\(.*\)";%themes/genus/src/static/css/\1%')

$(COMPRESSED_CSS):
	cat $(SOURCE_CSS) | cleancss > $@
	ln -sf /usr/share/fonts/truetype/dejavu/DejaVuSansMono.ttf \
	      themes/genus/static/fonts/
	ln -sf /usr/share/javascript/jquery/jquery.js \
	      themes/genus/static/js/

html: $(COMPRESSED_CSS)
	"$(PELICAN)" "$(INPUTDIR)" -o "$(OUTPUTDIR)" -s "$(CONFFILE)" $(PELICANOPTS)

clean:
	[ ! -d "$(OUTPUTDIR)" ] || rm -rf "$(OUTPUTDIR)"
	rm -f $(COMPRESSED_CSS)
	rm -f themes/genus/static/fonts/*.ttf
	rm -f themes/genus/static/js/jquery*

regenerate: $(COMPRESSED_CSS)
	"$(PELICAN)" -r "$(INPUTDIR)" -o "$(OUTPUTDIR)" -s "$(CONFFILE)" $(PELICANOPTS)

serve: $(COMPRESSED_CSS)
	"$(PELICAN)" -l "$(INPUTDIR)" -o "$(OUTPUTDIR)" -s "$(CONFFILE)" $(PELICANOPTS)

serve-global: $(COMPRESSED_CSS)
	"$(PELICAN)" -l "$(INPUTDIR)" -o "$(OUTPUTDIR)" -s "$(CONFFILE)" $(PELICANOPTS) -b $(SERVER)

devserver: $(COMPRESSED_CSS)
	"$(PELICAN)" -lr "$(INPUTDIR)" -o "$(OUTPUTDIR)" -s "$(CONFFILE)" $(PELICANOPTS)

devserver-global: $(COMPRESSED_CSS)
	$(PELICAN) -lr $(INPUTDIR) -o $(OUTPUTDIR) -s $(CONFFILE) $(PELICANOPTS) -b 0.0.0.0

publish: $(COMPRESSED_CSS)
	"$(PELICAN)" "$(INPUTDIR)" -o "$(OUTPUTDIR)" -s "$(PUBLISHCONF)" $(PELICANOPTS)

ssh_upload: publish
	scp -P $(SSH_PORT) -r "$(OUTPUTDIR)"/* "$(SSH_USER)@$(SSH_HOST):$(SSH_TARGET_DIR)"

sftp_upload: publish
	printf 'put -r $(OUTPUTDIR)/*' | sftp $(SSH_USER)@$(SSH_HOST):$(SSH_TARGET_DIR)

rsync_upload: publish
	rsync -e "ssh -p $(SSH_PORT)" -P -rvzc --include tags --cvs-exclude --delete "$(OUTPUTDIR)"/ "$(SSH_USER)@$(SSH_HOST):$(SSH_TARGET_DIR)"


rsync_coop: publish
	rsync -e "ssh -p $(SSH_PORT)" -P -rvzc --include tags --cvs-exclude --delete "$(OUTPUTDIR)"/ "$(SSH_USER)@coop.jb:/srv/manuels.coop.jb/aide"


.PHONY: html help clean regenerate serve serve-global devserver publish ssh_upload rsync_upload

=== debian/changelog ===
slm (1.21-1) unstable; urgency=medium

  * New upstream version 1.21
  * new build-dependency: python3-strictyaml

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 05 Aug 2024 18:57:52 +0200

slm (1.06-2) unstable; urgency=medium

  * modifies the language choice in postinst: English becomes en-us, and
    so on
  * fixed the postinst script

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 28 Jul 2024 11:26:44 +0200

slm (1.06-1) unstable; urgency=medium

  * improved autopkgtests
  * introduced a language choice during the configuration
  * New upstream version 1.06

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 27 Jul 2024 19:12:58 +0200

slm (1.05-1) unstable; urgency=medium

  * added a lintian override for file apropos.html
  * new dependency: python3-pypinyin
  * avoid chown -R in postinst
  * simplified d/rules
  * added "manage.py compilemessages" in Makefile
    + new dependency: gettext ; new build-dependencies: python3-django,
      gettext, python3-levenshtein, python3-pypinyin
  * included locale in d/slm.install
  * modify gestion/version.py according to debian's version alongside dh_install
    + hence: d/rules requires a new build-dependency on bash
  * New upstream version 1.05

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 26 Jul 2024 15:41:04 +0200

slm (0.11-1) unstable; urgency=medium

  * New upstream version 0.11: support for i18n, languages: fr, en, es.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 17 Jul 2024 12:29:23 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,12 @@
  dh-python,
  cleancss,
  pelican,
+ python3-django,
+ gettext,
+ bash (>= 5.2),
+ python3-levenshtein,
+ python3-pypinyin,
+ python3-strictyaml,
 Standards-Version: 4.7.0
 #Homepage: 
 Vcs-Browser: https://salsa.debian.org/debian/slm
@@ -46,11 +52,13 @@
  node-html5-qrcode,
  python3-unidecode,
  python3-trml2pdf,
+ python3-pypinyin,
  libapache2-mod-wsgi-py3,
  python3-matplotlib,
  fonts-dejavu-extra,
  pwgen,
  acl,
+ gettext,
 Description: school library management
  SLM stands for "school library management". It provides a web service
  useful for teams who lend school books to students. Here are some

## slm 1.26

=== debian/changelog ===
slm (1.26-1) unstable; urgency=medium

  * New upstream version 1.26: removed a spurious test file

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 21 Aug 2024 12:57:53 +0200

slm (1.25-1) unstable; urgency=medium

  * New upstream version 1.25

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 20 Aug 2024 22:14:14 +0200

slm (1.24-1) unstable; urgency=medium

  * New upstream version 1.24

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 20 Aug 2024 13:12:40 +0200

slm (1.21-2) unstable; urgency=medium

  * included the Spanish PO file, thanks, Camaleón. Closes:#1077996

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 06 Aug 2024 10:34:58 +0200

## slm 1.30

=== debian/changelog ===
slm (1.30-1) unstable; urgency=medium

  * installed Christoph Brink's de.po file, thanks !
    Closes: #1080326
  * New upstream version 1.30

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 20 Oct 2024 18:27:42 +0200

## slm 1.31

=== debian/changelog ===
slm (1.31-1) unstable; urgency=medium

  * New upstream version 1.31
  * removed the dependency on cinnamon-common

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 04 Dec 2024 13:26:45 +0100

slm (1.30-2) unstable; urgency=medium

  * included Frans Spiesschaert's nl.po update, thanks! Closes: #1087214
  * added a dependency on locales, and another on cinnamon-common (for some
    icons)

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 10 Nov 2024 11:33:14 +0100

## slm 1.32

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	ssh freeduc.science "cd /srv/manuels.freeduc.science; echo 'yes' | ./manage.py collectstatic; ./manage.py migrate"
 	@echo "prochaines commandes : ssh freeduc.science, puis sudo service apache2 reload, et synchronisation de media/"
 
-MAKEMESSAGE_PARAMS = --extension "html,txt,py, rml" --ignore aide
+MAKEMESSAGE_PARAMS = --extension "html,txt,py,rml" --ignore aide/output
 messages:
 	./manage.py makemessages $(LOCALES) $(MAKEMESSAGE_PARAMS)
 	./manage.py compilemessages | grep -v "up to date"

=== debian/changelog ===
slm (1.32-2) unstable; urgency=medium

  * included Paulo Henrique de Lima Santana' po file, thanks!
    Closes: #1098450

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Feb 2025 20:15:18 +0100

slm (1.32-1) unstable; urgency=medium

  * New upstream version 1.32
  * finally removed any mention of cs-user-accounts.svg; this should fix
    a piuparts issue

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 20 Dec 2024 18:41:10 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
 Pre-Depends:
  apache2,
  systemd,
+ locales,
 Depends:
  ${misc:Depends},
  ${python3:Depends},

=== debian/watch ===
version=4

# Direct Git.
opts="mode=git" https://forge.apps.education.fr/georgesk/slm.git \
  refs/tags/v([\d\.]+)

## slm 2.3

=== debian/changelog ===
slm (2.3-1) unstable; urgency=medium

  * included Carles Pina i Estany's po file, thanks!
    Closes: #1106769
  * New upstream version 2.3

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 27 Aug 2025 18:01:09 +0200

slm (1.32-3) unstable; urgency=medium

  * included Américo Monteiro's po file, thanks!
    Closes: #1101941
  * checked that Camaleón's po file was already taken in account, thanks!
    Closes: #1077996
  * checked that Frans Spiesschaert's po file was already taken in account,
    thanks! Closes: #1087214

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 03 Apr 2025 14:21:29 +0200

## slm 2.7

=== debian/changelog ===
slm (2.7-1) unstable; urgency=medium

  * New upstream version 2.7
  * Added new dependencies
  * dropped the dependency on node-svgdotjs-svg.panzoom.js, as
    node-svgdotjs-svg.js provides this feature now

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 27 Sep 2025 10:30:00 +0200

## slm 2.8

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	rm -f $(MOFILES)
 
 savedb:
-	@python3 $(DBDIR)/savedb.py $(DBDIR)
+	@cd $(DBDIR); python3 savedb.py $(DBDIR)
 
 stats_dev:
 	@echo "Décompte des lignes codées par l'auteur"

=== aide/Makefile ===
--- 
+++ 
@@ -103,5 +103,10 @@
 rsync_coop: publish
 	rsync -e "ssh -p $(SSH_PORT)" -P -rvzc --include tags --cvs-exclude --delete "$(OUTPUTDIR)"/ "$(SSH_USER)@coop.jb:/srv/manuels.coop.jb/aide"
 
+MKSHOTS = from aide.screenshots import screenshots; screenshots('content/images')
 
-.PHONY: html help clean regenerate serve serve-global devserver publish ssh_upload rsync_upload
+screenshots:
+	export VIEW_SELENIUM=1; xvfb-run ../manage.py shell -c "$(MKSHOTS)"
+	cp content/images/fr-fr/*.png content/images
+
+.PHONY: html help clean regenerate serve serve-global devserver publish ssh_upload rsync_upload screenshots

=== outils/Makefile ===
INTERFACES_UI = $(shell ls *.ui)
INTERFACES_PY = $(patsubst %.ui, Ui_%.py, $(INTERFACES_UI))

all: $(INTERFACES_PY)

Ui_%.py: %.ui
	pyuic6 $< -o $@

clean:
	rm -f $(INTERFACES_PY)

=== debian/changelog ===
slm (2.8-1) unstable; urgency=medium

  * New upstream version 2.8

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 02 Oct 2025 11:30:37 +0200

slm (2.7-2) unstable; urgency=medium

  * added makemigrations and migrate before the test
  * added the directory fixtures which must be distributed with the package
    if on wants to run autopkgtest

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 02 Oct 2025 10:01:57 +0200

=== debian/control ===
--- 
+++ 
@@ -54,6 +54,9 @@
  python3-unidecode,
  python3-trml2pdf,
  python3-pypinyin,
+ node-svgdotjs-svg.js,
+ node-svgdotjs-svg.draggable.js,
+ graphviz,
  libapache2-mod-wsgi-py3,
  python3-matplotlib,
  fonts-dejavu-extra,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,9 @@
 	rm -f aide/themes/genus/static/fonts/*
 	rm -f aide/themes/genus/static/css/main.css
 
-SITES_AVAILABLE = $(CURDIR)/debian/slm/etc/apache2/sites-available
+SITES_AVAILABLE = $(CURDIR)/debian/$(PACKAGE)/etc/apache2/sites-available
+STATIC_DIR = $(CURDIR)/debian/$(PACKAGE)/var/lib/slm/gestion/static
+VERSION_PY = $(CURDIR)/debian/$(PACKAGE)/var/lib/slm/gestion/version.py
 override_dh_install:
 	dh_install
 
@@ -21,9 +23,12 @@
 	: # remove CSV files
 	find debian/$(PACKAGE)/ -name '.git*' | xargs rm -f
 
+	: # modify the file gestion/version.py
+	bash debian/modifversion $(VERSION_PY)
+
 	: ############ fix symlinks to absolute locations ###############
-	: ##### for gestion/static/*
-	symlinks=$$(find debian/$(PACKAGE)/var/lib/slm/gestion/static/* -type l); \
+	: ##### for gestion/static/* ####################################
+	symlinks=$$(find $(STATIC_DIR) -type l); \
 	for s in $${symlinks}; do \
 	  t=""; r=$$(realpath $$s); \
 	  r1=$$(echo $$r | sed 's%/%../../../../../../%'); \

=== debian/tests/control ===
Tests: fr-locale+test
Depends:
 @,
 python3-selenium,
 chromium-driver,
 locales,
Restrictions: needs-sudo
Architecture:
 !armel, !ppc64el, !s390x

=== debian/watch ===
version=4

# Direct Git.
opts="mode=git" https://forge.apps.education.fr/georgesk-ext/slm.git \
  refs/tags/v([\d\.]+)

## slm 2.10

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,16 @@
 DESTDIR =
 
-DBDIR = $(shell if [ -d /srv/manuels.freeduc.science ]; then echo /srv/manuels.freeduc.science; else echo .; fi)
+DBDIR0 = $(shell ls -d /srv/manuels*)
+DBDIR = $(shell if [ -d "$(DBDIR0)" ]; then echo $(DBDIR0); else echo .; fi)
 SAVEDIR = $(DBDIR)/media/sauvegarde
 
 LOCALES = --locale fr --locale en --locale es
-POFILES = $(shell find locale -name "*.po")
+POFILES = $(shell [ -d locale ] && find locale -name "*.po")
 MOFILES = $(patsubst %.po, %.mo, $(POFILES))
 
 all: aide/output/index.html $(MOFILES)
 
-aide/output/index.html : $(shell ls aide/content/pages/*)
+aide/output/index.html : $(shell [ -d aide/content/pages ] && ls aide/content/pages/*)
 	make -C aide html
 	@for l in es en; do \
 	  python3 outils/non_traduits.py aide/content/pages $$l; \

=== debian/changelog ===
slm (2.10-1) unstable; urgency=medium

  * New upstream version 2.10

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 13 Nov 2025 19:28:59 +0100

## slm 2.11

=== debian/changelog ===
slm (2.11-1) unstable; urgency=medium

  * fixed a bug in prerm script, which deleted gestion/static.
  * New upstream version 2.11

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 27 Nov 2025 12:28:18 +0100
